package cn.iocoder.yudao.module.wms.dal.mysql.inouttype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.wms.dal.dataobject.inouttype.InOutTypeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wms.controller.admin.inouttype.vo.*;

/**
 * 出入库类型管理 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface InOutTypeMapper extends BaseMapperX<InOutTypeDO> {

    default PageResult<InOutTypeDO> selectPage(InOutTypePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<InOutTypeDO>()
                .likeIfPresent(InOutTypeDO::getName, reqVO.getName())
                .eqIfPresent(InOutTypeDO::getType, reqVO.getType())
                .eqIfPresent(InOutTypeDO::getStatus, reqVO.getStatus())
                .eqIfPresent(InOutTypeDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(InOutTypeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(InOutTypeDO::getId));
    }

}